UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Contributor
Contributor
248 Views
Registered: ‎03-29-2019

Question for QEMU SystemC and TLM CoSimulation

Jump to solution

Hi all, 

i am new in the domain of Soc , i am now following steps:

http://www.wiki.xilinx.com/QEMU+SystemC+and+TLM+CoSimulation , i have some questions if someone can help me :

1- first should I install QEMU and Petalinux or Petalinux already contain QEMU ?

2- i found that petalinux is not supported by ubuntu 18.04, its always the problem or it is fixed ?

Thanks very much , i am new and i hope that you help me. 

 

0 Kudos
1 Solution

Accepted Solutions
Moderator
Moderator
187 Views
Registered: ‎12-04-2016

Re: Question for QEMU SystemC and TLM CoSimulation

Jump to solution

Hi @hamdi436 

Yes its upto until now, we dont have this distro support

 

Best Regards

Shabbir

0 Kudos
3 Replies
Moderator
Moderator
210 Views
Registered: ‎12-04-2016

Re: Question for QEMU SystemC and TLM CoSimulation

Jump to solution

Hi @hamdi436 

1. Petalinux contains qemu binaries. If you source petalinux's settings.sh, you will see qemu binaries

2. As of petalinux 2018.3, ubuntu 18.04 is unsupported. However in the upcoming petalinux version, we do support this distribution

 

Best Regards

Shabbir

0 Kudos
Contributor
Contributor
198 Views
Registered: ‎03-29-2019

Re: Question for QEMU SystemC and TLM CoSimulation

Jump to solution

hi @shabbirk 

thank you very much , just one more question you mean only petalinux 2018.3 is not supported for ubuntu 18.04 or all the versions of petalinux cant be supported until now ? thnx ,

0 Kudos
Moderator
Moderator
188 Views
Registered: ‎12-04-2016

Re: Question for QEMU SystemC and TLM CoSimulation

Jump to solution

Hi @hamdi436 

Yes its upto until now, we dont have this distro support

 

Best Regards

Shabbir

0 Kudos